import React from "react";
import acceleratorIconColor from "!!svg-sprite-loader!../src/icons/accelerator-icon.svg";
import acceleratorIconWhite from "!!svg-sprite-loader!../src/icons/accelerator-icon-white.svg";
import acceleratorLogoColor from "!!svg-sprite-loader!../src/icons/accelerator-logo.svg";
import acceleratorLogoWhite from "!!svg-sprite-loader!../src/icons/accelerator-logo-white.svg";
import cloudbeesInfinityColor from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-color.svg";
import cloudbeesInfinityWhite from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-white.svg";
import cloudbeesLogoColor from "!!svg-sprite-loader!../src/icons/cloudbees-logo-color.svg";
import cloudbeesLogoWhite from "!!svg-sprite-loader!../src/icons/cloudbees-logo-white.svg";
import cloudbeesLogoSloganColor from "!!svg-sprite-loader!../src/icons/cloudbees-logo-slogan-color.svg";
import cloudbeesLogoSloganWhite from "!!svg-sprite-loader!../src/icons/cloudbees-logo-slogan-white.svg";
import cloudbeesInfinitySloganColor from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-slogan-color.svg";
import cloudbeesInfinitySloganWhite from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-slogan-white.svg";
import cloudbeesInfinityVerticalColor from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-vertical-color.svg";
import cloudbeesInfinityVerticalWhite from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-vertical-white.svg";
import codeshipIconColor from "!!svg-sprite-loader!../src/icons/codeship-icon.svg";
import codeshipIconWhite from "!!svg-sprite-loader!../src/icons/codeship-icon-white.svg";
import codeshipLogoColor from "!!svg-sprite-loader!../src/icons/codeship-logo.svg";
import codeshipLogoWhite from "!!svg-sprite-loader!../src/icons/codeship-logo-white.svg";
import coreLogoColor from "!!svg-sprite-loader!../src/icons/core-logo.svg";
import coreLogoWhite from "!!svg-sprite-loader!../src/icons/core-logo-white.svg";
import coreIconColor from "!!svg-sprite-loader!../src/icons/core-icon.svg";
import coreIconWhite from "!!svg-sprite-loader!../src/icons/core-icon-white.svg";
import devopticsLogoColor from "!!svg-sprite-loader!../src/icons/devoptics-logo.svg";
import devopticsLogoWhite from "!!svg-sprite-loader!../src/icons/devoptics-logo-white.svg";
import devopticsIconColor from "!!svg-sprite-loader!../src/icons/devoptics-icon.svg";
import devopticsIconWhite from "!!svg-sprite-loader!../src/icons/devoptics-icon-white.svg";
import flowLogoColor from "!!svg-sprite-loader!../src/icons/flow-logo.svg";
import flowLogoWhite from "!!svg-sprite-loader!../src/icons/flow-logo-white.svg";
import flowIconColor from "!!svg-sprite-loader!../src/icons/flow-icon.svg";
import flowIconWhite from "!!svg-sprite-loader!../src/icons/flow-icon-white.svg";
import jenkinsSupportLogo from "!!svg-sprite-loader!../src/icons/cloudbees-jenkins-support-logo.svg";
import jenkinsXLogo from "!!svg-sprite-loader!../src/icons/cloudbees-jenkins-x-logo.svg";
import rolloutLogoColor from "!!svg-sprite-loader!../src/icons/rollout-logo.svg";
import rolloutLogoWhite from "!!svg-sprite-loader!../src/icons/rollout-logo-white.svg";
import rolloutIconColor from "!!svg-sprite-loader!../src/icons/rollout-icon.svg";
import rolloutIconWhite from "!!svg-sprite-loader!../src/icons/rollout-icon-white.svg";
import starterKitLogoColor from "!!svg-sprite-loader!../src/icons/starter-kit-logo.svg";
import starterKitLogoWhite from "!!svg-sprite-loader!../src/icons/starter-kit-logo-white.svg";
import starterKitIconColor from "!!svg-sprite-loader!../src/icons/starter-kit-icon.svg";
import starterKitIconWhite from "!!svg-sprite-loader!../src/icons/starter-kit-icon-white.svg";

const icons = [
  {
    category: "CloudBees logos",
    icons: [
      {
        iconName: "cloudbees-logo-color.svg",
        svg: cloudbeesLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "cloudbees-logo-white.svg",
        svg: cloudbeesLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "cloudbees-logo-slogan-color.svg",
        svg: cloudbeesLogoSloganColor,
        type: "color",
        height: 42
      },
      {
        iconName: "cloudbees-logo-slogan-white.svg",
        svg: cloudbeesLogoSloganWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "cloudbees-infinity-color.svg",
        svg: cloudbeesInfinityColor,
        type: "color",
        height: 140
      },
      {
        iconName: "cloudbees-infinity-white.svg",
        svg: cloudbeesInfinityWhite,
        type: "white",
        height: 140
      },
      {
        iconName: "cloudbees-infinity-slogan-color.svg",
        svg: cloudbeesInfinitySloganColor,
        type: "color",
        height: 140
      },
      {
        iconName: "cloudbees-infinity-slogan-white.svg",
        svg: cloudbeesInfinitySloganWhite,
        type: "white",
        height: 140
      },
      {
        iconName: "cloudbees-infinity-vertical-color.svg",
        svg: cloudbeesInfinityVerticalColor,
        type: "color",
        height: 140
      },
      {
        iconName: "cloudbees-infinity-vertical-white.svg",
        svg: cloudbeesInfinityVerticalWhite,
        type: "white",
        height: 140
      }
    ]
  },
  {
    category: "CloudBees Accelerator",
    icons: [
      {
        iconName: "accelerator-logo.svg",
        svg: acceleratorLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "accelerator-logo-white.svg",
        svg: acceleratorLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "accelerator-icon.svg",
        svg: acceleratorIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "accelerator-icon-white.svg",
        svg: acceleratorIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees CodeShip",
    icons: [
      {
        iconName: "codeship-logo.svg",
        svg: codeshipLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "codeship-logo-white.svg",
        svg: codeshipLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "codeship-icon.svg",
        svg: codeshipIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "codeship-icon-white.svg",
        svg: codeshipIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees Core",
    icons: [
      {
        iconName: "core-logo.svg",
        svg: coreLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "core-logo-white.svg",
        svg: coreLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "core-icon.svg",
        svg: coreIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "core-icon-white.svg",
        svg: coreIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees DevOptics",
    icons: [
      {
        iconName: "devoptics-logo.svg",
        svg: devopticsLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "devoptics-logo-white.svg",
        svg: devopticsLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "devoptics-icon.svg",
        svg: devopticsIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "devoptics-icon-white.svg",
        svg: devopticsIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees Flow",
    icons: [
      {
        iconName: "flow-logo.svg",
        svg: flowLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "flow-logo-white.svg",
        svg: flowLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "flow-icon.svg",
        svg: flowIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "flow-icon-white.svg",
        svg: flowIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees Jenkins Support",
    icons: [
      {
        iconName: "cloudbees-jenkins-support-logo.svg",
        svg: jenkinsSupportLogo,
        type: "color",
        height: 120
      }
    ]
  },
  {
    category: "Jenkins X",
    icons: [
      {
        iconName: "cloudbees-jenkins-x-logo.svg",
        svg: jenkinsXLogo,
        type: "color",
        height: 120
      }
    ]
  },
  {
    category: "CloudBees Rollout",
    icons: [
      {
        iconName: "rollout-logo.svg",
        svg: rolloutLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "rollout-logo-white.svg",
        svg: rolloutLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "rollout-icon.svg",
        svg: rolloutIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "rollout-icon-white.svg",
        svg: rolloutIconWhite,
        type: "white",
        height: 42
      }
    ]
  },
  {
    category: "CloudBees Starter Kit",
    icons: [
      {
        iconName: "starter-kit-logo.svg",
        svg: starterKitLogoColor,
        type: "color",
        height: 42
      },
      {
        iconName: "starter-kit-logo-white.svg",
        svg: starterKitLogoWhite,
        type: "white",
        height: 42
      },
      {
        iconName: "starter-kit-icon.svg",
        svg: starterKitIconColor,
        type: "color",
        height: 42
      },
      {
        iconName: "starter-kit-icon-white.svg",
        svg: starterKitIconWhite,
        type: "white",
        height: 42
      }
    ]
  }
];

export default () => {
  return (
    <div>
      {icons.map(iconCategory => (
        <div className="container" key={iconCategory.category}>
          <div className="row pt-5">
            <div className="col-12">
              <h1>{iconCategory.category}:</h1>
            </div>
          </div>

          <div className="row pb-5">
            {iconCategory.icons.map((icon, index) => (
              <div className={`col-3 mt-${index < 4 ? "4" : "5"}`} key={index}>
                <div
                  className={
                    icon.type === "color"
                      ? "p-3"
                      : "p-3 d-inline-block bg-secondary rounded text-white"
                  }
                >
                  <svg height={icon.height} viewBox={`${icon.svg.viewBox}`}>
                    <use xlinkHref={`#${icon.svg.id}`} />
                  </svg>
                </div>

                <code className="d-block bg-light p-1 mt-3 mb-0" style={{ fontSize: "11px" }}>
                  https://cdn.cloudbees.com/honeyui/logos/{icon.iconName}
                </code>
              </div>
            ))}
          </div>
        </div>
      ))}
    </div>
  );
};
