import React from "react";
import addressIcon from "!!svg-sprite-loader!@fortawesome/fontawesome-free/svgs/solid/address-card.svg";

const colors = [
  "text-primary",
  "text-secondary",
  "text-success",
  "text-danger",
  "text-warning",
  "text-info",
  "text-light",
  "text-dark",
  "text-body",
  "text-muted",
  "text-white",
  "text-black-50",
  "text-white-50"
];

export default () => {
  return (
    <div className="m-5">
      <div className="container">
        <div className="row my-5">
          {colors.map(color => {
            const bg = color.indexOf("white") > -1 ? "bg-dark" : "";
            return (
              <div className={`col-3 my-5 ${bg}`}>
                <div style={{ height: 100 }} className={color}>
                  <svg width={30} viewBox={`${addressIcon.viewBox}`}>
                    <use xlinkHref={`#${addressIcon.id}`} />
                  </svg>
                </div>
                <div className={color}>{color}</div>
              </div>
            );
          })}
        </div>
      </div>
    </div>
  );
};
